#### D.6.6.9 ContactMatrix

Procedure from library `curvepar.lib` (see curvepar_lib).

Usage:
  ContactMatrix(I); I ideal

Assume:
  i is the defining ideal of a (reducible) plane curve singularity.

Return:
  intmat N of the contact matrix of the braches of the curve.

Example:

    LIB "curvepar.lib";
    ring r=0,(x,y),ds;
    ideal i=x14-x4y7-y11;
    ContactMatrix(i);
    ==> 0,1,1,1,1,
    ==> 1,0,1,1,1,
    ==> 1,1,0,1,1,
    ==> 1,1,1,0,1,
    ==> 1,1,1,1,0

User manual for Singular version 4-0-3, 2016, generated by texi2html.